<template name='Internships'>
    {{#if isInRole 'validated,admin'}} {{>internshipPanel}} {{else}} {{> statusPanel}} {{/if}}
</template>
<template name="internshipPanel">
    <div class="internship">
        {{#if noInternship}} {{> noContentInternshipPanel}} {{else}}
        <ul class="nav nav-tabs" style="background-color: rgba(255,255,255,0.8);padding: 10px;">
            <li class="active"><a data-toggle="tab" href="#current">Stage en cours <span class="badge">{{currentinternshipscount}}</span></a></li>
            {{#if isInRole 'admin'}}
            <li><a data-toggle="tab" href="#toValid">A valider <span class="badge">{{unvalidatedinternshipscount}}</span></a></li>
            {{else}}
            <li><a data-toggle="tab" href="#toValid">En validation <span class="badge">{{unvalidatedinternshipscount}}</span></a></li>
            {{/if}}
            <li><a data-toggle="tab" href="#archived">Archivés <span class="badge">{{archivedinternshipscount}}</span></a></li>
            <li style="position: absolute; right: 20px">
                <div class="buttons">
                    <button class="btn btn-success" onClick="Modal.show('modalInternship')">Proposer un stage</button>
                </div>
            </li>
        </ul>
        <div class="tab-content">
            <div id="current" class="tab-pane fade in active">
                <div class="list">
                    <div class="row">
                        {{#each internship in currentinternships}}
                        <div class="col-md-4 col-sm-6">
                            {{> internshipItem internship=internship}}
                        </div>
                        {{/each}}
                    </div>
                </div>
            </div>
            <div id="toValid" class="tab-pane fade">
                <div class="list">
                    <div class="row">
                        {{#each internship in unvalidatedinternships}}
                        <div class="col-md-4 col-sm-6">
                            {{> internshipItem internship=internship}}
                        </div>
                        {{/each}}
                    </div>
                </div>
            </div>
            <div id="archived" class="tab-pane fade">
                <div class="list">
                    <div class="row">
                        {{#each internship in archivedinternships}}
                        <div class="col-md-4 col-sm-6">
                            {{> internshipItem internship=internship}}
                        </div>
                        {{/each}}
                    </div>
                </div>
            </div>
        </div>
        {{/if}}
    </div>
</template>
<template name="internshipItem">
    <div class="box">
        <div class="field">
            <span class="label {{#if ismyfield internship.field}}label-success{{else}}label-default{{/if}}">{{internship.field}}</span>
        </div>
        <div class="title">
            {{internship.title}}
        </div>
        <hr/> {{{internship.teasing}}}
        <div class="location">
            <div class="block">
                <div>
                    <b>{{internship.enterprise}}</b>
                </div>
                <div>
                    {{internship.location}}
                </div>
            </div>
        </div>
        <div class="details">
            <button class="display-button"><b>Détails</b></button>
        </div>
        <div class="bottom-right">
            {{#if allowModifs internship.author}}
            <div class="actions modif">
                <i class="fa fa-pencil-square-o" title="Modifier"></i>
            </div>
            <div class="actions archive">
                {{#if isArchived internship}}
                <i class="fa fa-retweet" title="Restaurer"></i> {{else}}
                <i class="fa fa-archive" title="Archiver"></i> {{/if}}
            </div>
            {{/if}} {{#if isInRole 'admin'}} {{#if isValidated internship}}
            <div class="actions valid">
                <i class="fa fa-times" title="Révoquer"></i>
            </div>
            {{else}}
            <div class="actions valid">
                <i class="fa fa-check" title="Accepter"></i>
            </div>
            {{/if}} {{/if}}
        </div>
        <div class="createdAt">
            {{writtenStyleDate internship.createdAt}}
        </div>
    </div>
</template>
<template name="noContentInternshipPanel">
    <div class="no-content">
        <div class="message">
            <h2 class="text-center"><b>Aucun stage actuellement</b></h2>
            <p class="text-center">N'hésite pas à proposer un stage. Reviens plus tard. &#128521;</p>
            <div class="buttons">
                <button class="btn btn-success" onClick="Modal.show('modalInternship')">Proposer un stage</button>
            </div>
        </div>
    </div>
</template>
